aboutsummaryrefslogtreecommitdiff
path: root/archSetup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'archSetup.sh')
-rwxr-xr-xarchSetup.sh33
1 files changed, 16 insertions, 17 deletions
diff --git a/archSetup.sh b/archSetup.sh
index cf737e3..f1fa471 100755
--- a/archSetup.sh
+++ b/archSetup.sh
@@ -14,7 +14,7 @@ getPackageGroup() {
}
installPackageGroup() {
- getPackageGroup "$1" | sudo pacman -S -
+ getPackageGroup "$1" | sudo pacman -S --needed -
}
prompt() {
@@ -41,34 +41,35 @@ mkdir "$HOME/logs"
mkdir "$HOME/repos"
# Connect to server
-sshKey="$HOME/.ssh/id_rsa_$(hostnamectl hostname)ForXyz"
-ssh-keygen -f "$sshKey" && ssh-copy-id -i "$sshKey" "$server"
+#sshKey="$HOME/.ssh/id_rsa_$(hostnamectl hostname)ForXyz"
+#ssh-keygen -f "$sshKey" || exit 1
+#ssh-copy-id -i "$sshKey" "$server" || exit 1
# Install git to get needed repos
if ! type git; then
echo "Installing git"
type git || sudo pacman -S git
- gitName="InigoGutierrez"
- gitEmail="inigogf.95@gmail.com"
- echo "Setting up git config"
- echo "Name: $gitName"
- echo "mail: $gitEmail"
- git config --global user.name "$gitName"
- git config --global user.email "$gitEmail"
- echo ""
fi
+gitName="InigoGutierrez"
+gitEmail="inigogf.95@gmail.com"
+echo "Setting up git config"
+echo "Name: $gitName"
+echo "mail: $gitEmail"
+git config --global user.name "$gitName"
+git config --global user.email "$gitEmail"
+echo ""
# Clone scripts and configs repos
if [ ! -d "scripts" ]; then
echo "Cloning scripts repo"
- git clone gitea@git.taamas.xyz/Taamas/scripts.git
+ git clone https://git.taamas.xyz/Taamas/scripts.git
echo ""
fi
if [ ! -d "repos/configs" ]; then
echo "Cloning configs repo"
(
cd repos
- git clone gitea@git.taamas.xyz/Taamas/configs.git
+ git clone https://git.taamas.xyz/Taamas/configs.git
echo ""
)
fi
@@ -102,10 +103,8 @@ installPackageGroup base
echo "Heavy packages are:"
getPackageGroup heavy
prompt "Install heavy packages? [y/N]" installPackageGroup heavy
-prompt "Install audio packages? [y/N]" installAudio="y"
-[ -z "$installAudio" ] || installPackageGroup audio
-prompt "Install graphic packages? [y/N]" installGraphic="y"
-[ -z "$installGraphic" ] || installPackageGroup graphic
+prompt "Install audio packages? [y/N]" installPackageGroup audio
+prompt "Install graphic packages? [y/N]" installPackageGroup graphic
# Clone specific programs sources to be compiled and installed later
(